import { __ } from '@wordpress/i18n';

export const DARK_PALETTES = [
	{
		slug: 'style-1',
		title: __( 'Style 1', 'ai-builder' ),
		colors: [
			'#0085FF',
			'#0177E3',
			'#FFFFFF',
			'#E7F6FF',
			'#212A37',
			'#0F172A',
			'#4F5B62',
			'#070614',
			'#222222',
		],
	},
	{
		slug: 'style-2',
		title: __( 'Style 2', 'ai-builder' ),
		colors: [
			'#8B5DFF',
			'#7B47FF',
			'#FFFFFF',
			'#F2F0FE',
			'#1B203A',
			'#0F102A',
			'#4B4D56',
			'#0D0614',
			'#222222',
		],
	},
	{
		slug: 'style-3',
		title: __( 'Style 3', 'ai-builder' ),
		colors: [
			'#239D60',
			'#039A4F',
			'#FFFFFF',
			'#EDF6F1',
			'#202B29',
			'#131D19',
			'#353A36',
			'#0C1406',
			'#222222',
		],
	},
	{
		slug: 'style-4',
		title: __( 'Style 4', 'ai-builder' ),
		colors: [
			'#FB5FAB',
			'#EA559D',
			'#FFFFFF',
			'#FCEEF5',
			'#29223C',
			'#180F2A',
			'#4B3F4A',
			'#140610',
			'#222222',
		],
	},
	{
		slug: 'style-5',
		title: __( 'Style 5', 'ai-builder' ),
		colors: [
			'#DD183B',
			'#CC1939',
			'#FFFFFF',
			'#FFEDE6',
			'#231417',
			'#150B0F',
			'#3D2E32',
			'#140609',
			'#222222',
		],
	},
	{
		slug: 'style-6',
		title: __( 'Style 6', 'ai-builder' ),
		colors: [
			'#FD9800',
			'#E98C00',
			'#FFFFFF',
			'#FEF9E1',
			'#161923',
			'#090C17',
			'#2E2D2A',
			'#141006',
			'#222222',
		],
	},
	{
		slug: 'style-7',
		title: __( 'Style 7', 'ai-builder' ),
		colors: [
			'#9335B6',
			'#8528a7',
			'#110713',
			'#331438',
			'#F5EDF9',
			'#FFFFFF',
			'#EAD5F3',
			'#170A1C',
			'#222222',
		],
	},
	{
		slug: 'style-8',
		title: __( 'Style 8', 'ai-builder' ),
		colors: [
			'#0E75D4',
			'#0D66B9',
			'#011126',
			'#032547',
			'#EBF4FF',
			'#FFFFFF',
			'#C3E0FD',
			'#01142C',
			'#222222',
		],
	},
	{
		slug: 'style-9',
		title: __( 'Style 9', 'ai-builder' ),
		colors: [
			'#E11B14',
			'#C00802',
			'#1F0A0C',
			'#1C1B1B',
			'#FBECED',
			'#FFFFFF',
			'#F7D0D1',
			'#1D090B',
			'#222222',
		],
	},
	{
		slug: 'style-10',
		title: __( 'Style 10', 'ai-builder' ),
		colors: [
			'#121413',
			'#135F3D',
			'#0E100F',
			'#1B1C1B',
			'#EEF9F3',
			'#FFFFFF',
			'#D8F0E5',
			'#121413',
			'#222222',
		],
	},
];

export const LIGHT_PALETTES = [
	{
		slug: 'style-1',
		title: __( 'Style 1', 'ai-builder' ),
		colors: [
			'#9335B6',
			'#8528a7',
			'#110713',
			'#331438',
			'#F5EDF9',
			'#FFFFFF',
			'#EAD5F3',
			'#170A1C',
			'#222222',
		],
	},
	{
		slug: 'style-2',
		title: __( 'Style 2', 'ai-builder' ),
		colors: [
			'#2235DD',
			'#1a2bc6',
			'#05060F',
			'#131739',
			'#f0f1fd',
			'#FFFFFF',
			'#E4E7FD',
			'#131739',
			'#222222',
		],
	},
	{
		slug: 'style-3',
		title: __( 'Style 3', 'ai-builder' ),
		colors: [
			'#377A00',
			'#2f6a00',
			'#151716',
			'#012104',
			'#EAF7EB',
			'#FFFFFF',
			'#D0EBCF',
			'#011502',
			'#222222',
		],
	},
	{
		slug: 'style-4',
		title: __( 'Style 4', 'ai-builder' ),
		colors: [
			'#E11B14',
			'#C00802',
			'#1F0A0C',
			'#1C1B1B',
			'#FBECED',
			'#FFFFFF',
			'#F7D0D1',
			'#1D090B',
			'#222222',
		],
	},
	{
		slug: 'style-5',
		title: __( 'Style 5', 'ai-builder' ),
		colors: [
			'#9A690F',
			'#885C09',
			'#1A0E00',
			'#291901',
			'#FFF7F0',
			'#FFFFFF',
			'#FFE0C1',
			'#1C1001',
			'#222222',
		],
	},
	{
		slug: 'style-6',
		title: __( 'Style 6', 'ai-builder' ),
		colors: [
			'#C74382',
			'#BC3878',
			'#12080D',
			'#1F1C1D',
			'#F8EEF2',
			'#FFFFFF',
			'#F3D4E1',
			'#1A0C13',
			'#222222',
		],
	},
	{
		slug: 'style-7',
		title: __( 'Style 7', 'ai-builder' ),
		colors: [
			'#0085FF',
			'#0177E3',
			'#FFFFFF',
			'#E7F6FF',
			'#212A37',
			'#0F172A',
			'#4F5B62',
			'#070614',
			'#222222',
		],
	},
	{
		slug: 'style-8',
		title: __( 'Style 8', 'ai-builder' ),
		colors: [
			'#21B4A6',
			'#0FAF9F',
			'#FFFFFF',
			'#EDF6F3',
			'#1C2A3C',
			'#111A28',
			'#4E4E4E',
			'#061314',
			'#222222',
		],
	},
	{
		slug: 'style-9',
		title: __( 'Style 9', 'ai-builder' ),
		colors: [
			'#FB5FAB',
			'#EA559D',
			'#FFFFFF',
			'#FCEEF5',
			'#29223C',
			'#180F2A',
			'#4B3F4A',
			'#140610',
			'#222222',
		],
	},
	{
		slug: 'style-10',
		title: __( 'Style 10', 'ai-builder' ),
		colors: [
			'#DCA54A',
			'#D09A40',
			'#FFFFFF',
			'#FAF5E5',
			'#1B1B1B',
			'#0E0D06',
			'#2E2D2A',
			'#141006',
			'#222222',
		],
	},
];
